import { UrlUtils as a } from "./accelbyte-widgets90.mjs";
import { UserHelper as m } from "./accelbyte-widgets277.mjs";
import l from "classnames";
import i from "react";
import { Ctx as o } from "./accelbyte-widgets33.mjs";
import "./accelbyte-widgets518.mjs";
const p = (e) => {
  const t = m.getDefaultAvatar(o.getAppState().getDefaultAvatarsList()), r = a.isValidUrl(e.imageLink) ? e.imageLink : t;
  return /* @__PURE__ */ i.createElement(
    "div",
    {
      className: l("profileImage", e.className),
      style: { backgroundImage: `url(${r}), url(${t})` }
    }
  );
};
export {
  p as ProfileImage
};
